| Home | Libraries | People | FAQ | More

## Function template construct

boost::xpressive::construct — A lazy funtion for constructing objects objects of the specified type.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T, typename ... Args>
      unspecified construct(Args const &... args);

## Description

Parameters:

`args` | The arguments to the constructor.

Template Parameters:

`T` | The type of object to construct.

Returns: | A lazy object that, when evaluated, returns `T(xs...)`, where `xs...` is the result of evaluating the lazy arguments `args...`.